%define kdeprefix /usr
%define qtdir /usr/lib/qt-1.44
%define version 0.3.6
%define kdename aktion
%define kderelease 3

Name: %{kdename}
Summary: aKtion - Movie player for KDE
Version: %{version}
Release: %{kderelease}
Source: http://www.geocities.com/SiliconValley/Haven/3864/aktion.tgz
URL: http://www.geocities.com/SiliconValley/Haven/3864/aktion.html
Group: Applications/Multimedia
BuildRoot: /var/tmp/%{kdename}-buildroot
Copyright: GPL
Requires: kdesupport xanim
Prefix: %{kdeprefix}

%description
aKtion! is a video player based on xanim. It supports many different
file formats:

     FLI animations. 
     FLC animations. 
     IFF animations. 
     GIF87a and GIF89a files. 
     GIF89a animation extension support. 
     DL animations. Formats 1, 2 and most of 3. 
     Amiga MovieSetter animations(For those Eric Schwartz fans). 
     Utah Raster Toolkit RLE images and anims. 
     AVI animations. 
     Quicktime Animations. 
     SGI Movie Format Files. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
export KDEDIR=%{kdeprefix} QTDIR=%{qtdir}
./configure \
	--prefix=$KDEDIR \
	--with-install-root=$RPM_BUILD_ROOT

make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG -DNDEBUG"

%install
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix}

# remove conflicting mime types
rm -rf $RPM_BUILD_ROOT%{kdeprefix}/share/mimelnk

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

echo "%docdir /usr/doc/kde" >> $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- marked doc files as such.

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 0.3.6, build for kde 1.1.2

* Thu Jul 29 1999 Bill Nottingham <notting@redhat.com>
- munge xanim dependency (we can change this later...)

* Mon Apr 05 1999 Preston Brown <pbrown@redhat.com>
- upgrade to bugfix version 0.3.3

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Feb 05 1999 Preston Brown <pbrown@redhat.com>
- new version, built against new libstdc++

* Thu Jan 07 1999 Preston Brown <pbrown@redhat.com>
- moved to /usr from /opt/kde

* Sat Dec 12 1998 Preston Brown <pbrown@redhat.com>
- first package attempt.
